/* ----------------------------------------------------------------------------
 * Raima Database Manager
 *
 * Copyright (c) 2011 Raima Inc.,  All rights reserved.
 *
 * Use of this software, whether in source code format, or in executable,
 * binary object code form, is governed by the Raima LICENSE which
 * is fully described in the LICENSE.TXT file, included within this
 * distribution of files.
 * ----------------------------------------------------------------------------
 */

/* hafcns.h - Contains definitions for the HA functions */

#if !defined(__HAFCNS_H)
#define __HAFCNS_H

#include "rdm.h"
#include "hatypes.h"

#if defined(__cplusplus)
extern "C" {
#endif

RDM_EXPORT HA_DIAG EXTERNAL_FCN ha_login(TFS_SERVER_TYPE, const char *, HA_USER *);
RDM_EXPORT HA_DIAG EXTERNAL_FCN ha_logout(HA_USER);
RDM_EXPORT HA_DIAG EXTERNAL_FCN ha_status(HA_USER, const char *, HA_STATUS *, int32_t *);
RDM_EXPORT HA_DIAG EXTERNAL_FCN ha_iasync(HA_USER, const char *, int32_t);
#if defined(NOT_USED)
RDM_EXPORT HA_DIAG EXTERNAL_FCN ha_activate(HA_USER, const char *, HA_ACT_TYPE);
RDM_EXPORT HA_DIAG EXTERNAL_FCN ha_isTransActive(HA_USER, const char *, uint16_t *);
RDM_EXPORT HA_DIAG EXTERNAL_FCN ha_quiesce(HA_USER, const char *);
RDM_EXPORT HA_DIAG EXTERNAL_FCN ha_wakeup(HA_USER, const char *);
#endif

#if defined(__cplusplus)
}
#endif

#endif  /* __HAFCNS_H */

